kde_module_LTLIBRARIES = noatundub.la

INCLUDES = $(all_includes)

noatundub_la_SOURCES = dubprefs.ui dubplaylistitem.cpp dubplaylist.cpp fileselectorwidget.cpp dubview.cpp dubdoc.cpp dub.cpp main.cpp 

EXTRA_DIST = main.cpp dub.cpp dub.h dubdoc.cpp dubdoc.h dubview.cpp dubview.h dubui.rc dub.plugin fileselectorwidget.cpp fileselectorwidget.h dubplaylist.cpp dubplaylist.h dubplaylistitem.cpp dubplaylistitem.h BUGS dubprefs.ui 

noatundub_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
noatundub_la_LIBADD = $(LIB_KIO) -lnoatun

data_DATA = dub.plugin
datadir = $(kde_datadir)/noatun

check_PROGRAMS = test_dub
test_dub_SOURCES = test_dub.cpp
test_dub_LDFLAGS = $(all_libraries) -L$(kde_moduledir)
test_dub_LDADD =  noatundub.la

.PHONY: runtest

METASOURCES = AUTO

rcdir = $(kde_datadir)/dub
rc_DATA = dubui.rc

messages: rc.cpp
	$(EXTRACTRC) *.rc >> rc.cpp
	$(XGETTEXT) -C *.cpp *.h -o $(podir)/dub.pot
